Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
Toggle table of contents sidebar

# bson_copy_to_excluding()

Warning

Deprecated since version 1.1.0: Use bson_copy_to_excluding_noinit() instead.

## Synopsis

    void
    bson_copy_to_excluding (const bson_t *src,
                            bson_t *dst,
                            const char *first_exclude,
                            ...);

## Parameters

- `src`: A bson_t.

- `dst`: A bson_t.

- `first_exclude`: The first field name to exclude.

## Description

The bson_copy_to_excluding() function shall copy all fields from `src` to `dst` except those specified by the variadic, NULL terminated list of keys starting from `first_exclude`.

Warning

bson_init() is called on `dst`.